# $Revision: 1.27 $, $Date: 2002/10/03 09:41:22 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include 	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define         pnam	SpeedyCGI
Summary:	Speed up perl CGI scripts by running them persistently
Summary(pl):	Modu przyspieszajcy perlowe skrypty CGI
Name:		perl-CGI-SpeedyCGI
Version:	2.20
Release:	2
License:	GPL
Group:		Networking/Daemons
URL:		http://daemoninc.com/SpeedyCGI/
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Source1:	apache-mod_speedycgi.conf
Patch0:		%{name}-DESTDIR.patch
BuildRequires:	apache(EAPI)-devel
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
Prereq:		/usr/sbin/apxs 
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apache_moddir	%(/usr/sbin/apxs -q LIBEXECDIR)
%define		apxs		/usr/sbin/apxs

%description 
SpeedyCGI is a way to run CGI perl scripts persistently, which usually
makes them run much more quickly. After the script is initially run,
instead of exiting, SpeedyCGI keeps the perl interpreter running in
memory. During subsequent runs, this interpreter is used to handle new
requests, instead of starting a new perl interpreter for each
execution.

%description -l pl
SpeedyCGI to sposb na cige dziaanie perlowych skryptw CGI, co
zazwyczaj pododuje, e uruchamiaj si duo szybciej. Po pocztkowym
uruchomieniu skryptu, SpeedyCGI trzyma interpreter perla w pamici.
Przy kolejnych uruchomieniach ten interpreter jest wykorzystywany do
obsugi kolejnych zlece, zamiast uruchamiania nowego interpretera
perla do kadego uruchomienia skryptu.

%package -n apache-mod_speedycgi
Summary:	SpeedyCGI apache module
Summary(pl):	Modu apache SpeedyCGI
Group:		Networking/Daemons
Requires:	%{name} = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description -n apache-mod_speedycgi
SpeedyCGI apache module.

%description -n apache-mod_speedycgi -l pl
Modu apache SpeedyCGI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
perl Makefile.PL </dev/null
cd mod_speedycgi && perl Makefile.PL
cd ..

%{__make} OPTIMIZE="%{rpmcflags}"
%{__make} -C mod_speedycgi \
	OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

APXS="%{apxs}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib} \
	$RPM_BUILD_ROOT{%{apache_moddir},/home/httpd/speedy,%{_sysconfdir}/httpd}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT 

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/mod_speedycgi.conf
install mod_speedycgi/mod_speedycgi.so $RPM_BUILD_ROOT%{apache_moddir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n apache-mod_speedycgi
%{apxs} -e -a -n speedycgi %{_libexecdir}/mod_speedycgi.so 1>&2
if [ -f /etc/httpd/httpd.conf ] && ! grep -q "^Include.*mod_speedycgi.conf" /etc/httpd/httpd.conf; then
	echo "Include /etc/httpd/mod_speedycgi.conf" >> /etc/httpd/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/httpd start\" to start apache http daemon."
fi

%preun -n apache-mod_speedycgi
if [ "$1" = "0" ]; then
	%{apxs} -e -A -n speedycgi %{_libexecdir}/mod_speedycgi.so 1>&2
	grep -v "^Include.*mod_speedycgi.conf" /etc/httpd/httpd.conf > \
		/etc/httpd/httpd.conf.tmp
	mv -f /etc/httpd/httpd.conf.tmp /etc/httpd/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README docs contrib
%{perl_sitelib}/CGI/*.pm
%attr(755,root,root) %{_bindir}/speedy*

%files -n apache-mod_speedycgi
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/mod_speedycgi.conf
%{apache_moddir}/mod_speedycgi.so
%dir /home/httpd/speedy

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-CGI-SpeedyCGI.spec,v $
Revision 1.27  2002/10/03 09:41:22  kloczek
- release 2,
- fixed http://bugs.pld.org.pl/?bug=368: added missing %%{apxs} macro definition.

Revision 1.26  2002/09/27 21:02:12  ankry
- added tests ; cleaning
- version 2.20, rel. 1

Revision 1.25  2002/08/13 15:21:45  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.24  2002/06/11 07:39:21  qboosh
- don't clear httpd.conf when uninstalling mod_speedycgi
- new %%doc, release 7

Revision 1.23  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/03/03 21:40:06  marcus
- rel.6.

Revision 1.21  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/10 15:39:12  depesz
adapterized

Revision 1.19  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.18  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/12/07 15:07:30  qboosh
- pl translations, release 5

Revision 1.16  2001/05/22 18:52:05  kloczek
- realy remove noarch :)

Revision 1.15  2001/05/22 17:00:49  mis
- too much noarch

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/05/07 12:56:25  baggins
- release 3
- fixed pre/post scripts

Revision 1.12  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:06:06  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/03/30 10:30:23  mis
- autoupdated to 2.11

Revision 1.8  2001/02/02 12:16:50  mis
- updated to 2.10

Revision 1.7  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.6  2000/12/28 10:19:51  kloczek
- BuildRequires rule for apache(EAPI)-devel (not apache(EAPI)).

Revision 1.5  2000/12/28 04:56:29  kloczek
- added DESTDIR patch.

Revision 1.4  2000/12/28 04:33:06  kloczek
- updated to 2.02,
- new Source url,
- rewrited %post/%postun scripts,
- added apache(EAPI) to BuildRequires,
- added /usr/sbin/apxs to Prereq.

Revision 1.3  2000/12/28 03:32:57  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.2  2000/10/25 08:31:28  mis
- updated to 2.0.1

Revision 1.1  2000/09/13 15:03:27  mis
- new from scratch, %pre/post scripts taken from mod_ssl.spec
  NOTE: this version needs non-threaded Perl to compile (tested with v5.6)
